Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp.lang
Interface LanguageTagCodes

All Known Implementing Classes:
  IanaLanguageTag, Iso639, LanguageTag

    public interface LanguageTagCodes

Informational values about language codes. Values to be OR-ed together.

Author:
  jjc

Field Summary
`static int` | `LT_DEFAULT` The special tag `i-default`.
`static int` | `LT_EXTRA` A tag with non-standard extra subtags.
`static int` | `LT_IANA` A tag in the IANA registry.
`static int` | `LT_IANA_DEPRECATED` A langauge tag that is deprecated in the IANA registry.
`static int` | `LT_ILLEGAL` An illegal tag.
`static int` | `LT_ISO3166` The second subtag is from ISO3166 and identifies a country.
`static int` | `LT_ISO639` The first subtag is from ISO639-1 or ISO639-2 and identifies a language,
`static int` | `LT_LOCAL_USE` A special ISO639-2 local use language tag.
`static int` | `LT_MULTIPLE` The special ISO639-2 language tag `mul`.
`static int` | `LT_PRIVATE_USE` An RFC3066 private use tag.
`static int` | `LT_UNDETERMINED` The undetermined ISO639-2 lanaguge `und`.

Field Detail

### LT_DEFAULT

    static final int LT_DEFAULT

  The special tag `i-default`.

  See Also:
    Constant Field Values

### LT_EXTRA

    static final int LT_EXTRA

  A tag with non-standard extra subtags. Set for langauge tags with additional subtags over their IANA registration, or a third subtag for unregistered tags of the form ISO639Code-ISO3166Code.

  See Also:
    Constant Field Values

### LT_IANA

    static final int LT_IANA

  A tag in the IANA registry.

  See Also:
    Constant Field Values

### LT_ILLEGAL

    static final int LT_ILLEGAL

  An illegal tag. Some rule of RFC3066 failed, or the tag is not in IANA, or ISO639 or ISO3166.

  See Also:
    Constant Field Values

### LT_ISO3166

    static final int LT_ISO3166

  The second subtag is from ISO3166 and identifies a country.

  See Also:
    Constant Field Values

### LT_ISO639

    static final int LT_ISO639

  The first subtag is from ISO639-1 or ISO639-2 and identifies a language,

  See Also:
    Constant Field Values

### LT_LOCAL_USE

    static final int LT_LOCAL_USE

  A special ISO639-2 local use language tag. A three letter code 'q[a-t][a-z]'.

  See Also:
    Constant Field Values

### LT_MULTIPLE

    static final int LT_MULTIPLE

  The special ISO639-2 language tag `mul`. This indicates multiple langauges.

  See Also:
    Constant Field Values

### LT_PRIVATE_USE

    static final int LT_PRIVATE_USE

  An RFC3066 private use tag. A language tag of the form `x-????`.

  See Also:
    Constant Field Values

### LT_UNDETERMINED

    static final int LT_UNDETERMINED

  The undetermined ISO639-2 lanaguge `und`.

  See Also:
    Constant Field Values

### LT_IANA_DEPRECATED

    static final int LT_IANA_DEPRECATED

  A langauge tag that is deprecated in the IANA registry.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP